<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'matrimony',

    /*
     * Package.
     */
    'package'   => 'matrimony',

    /*
     * Modules.
     */
    'modules'   => ['profile', 
'preference'],

    'profile'       => [
        'model' => [
            'model'                 => \Matrimony\Matrimony\Models\Profile::class,
            'table'                 => 'profiles',
            'presenter'             => \Matrimony\Matrimony\Repositories\Presenter\ProfilePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'ref',  'name',  'email',  'phone',  'password',  'profile_for',  'candidate_name',  'gender',  'marital_status',  'dob',  'country',  'state',  'city',  'mothertongue',  'religion',  'caste',  'subcaste',  'height',  'weight',  'body_type',  'complexion',  'physical_status',  'education',  'employment_type',  'occupation',  'income',  'star',  'raasi',  'dosham',  'food_habits',  'smoking',  'drinking',  'family_status',  'family_type',  'family_value',  'images',  'horoscope',  'description',  'subscription',  'expires_at',  'activated_at',  'published',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'matrimony/profile',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Matrimony',
            'package'   => 'Matrimony',
            'module'    => 'Profile',
        ],

    ],

    'preference'       => [
        'model' => [
            'model'                 => \Matrimony\Matrimony\Models\Preference::class,
            'table'                 => 'preferences',
            'presenter'             => \Matrimony\Matrimony\Repositories\Presenter\PreferencePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'profile_id',  'marital_status',  'min_age',  'max_age',  'country',  'state',  'city',  'mothertongue',  'religion',  'caste',  'subcaste',  'min_height',  'max_height',  'physical_status',  'education',  'employment_type',  'occupation',  'star',  'raasi',  'dosham',  'food_habits',  'smoking',  'drinking',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'matrimony/preference',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Matrimony',
            'package'   => 'Matrimony',
            'module'    => 'Preference',
        ],

    ],
];
