<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePreferencesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: preferences
         */
        Schema::create('preferences', function ($table) {
            $table->increments('id');
            $table->string('profile_id', 255)->nullable();
            $table->text('marital_status')->nullable();
            $table->integer('min_age')->nullable();
            $table->integer('max_age')->nullable();
            $table->text('country')->nullable();
            $table->text('state')->nullable();
            $table->text('city')->nullable();
            $table->text('mothertongue')->nullable();
            $table->text('religion')->nullable();
            $table->text('caste')->nullable();
            $table->text('subcaste')->nullable();
            $table->string('min_height', 255)->nullable();
            $table->string('max_height', 255)->nullable();
            $table->text('physical_status')->nullable();
            $table->text('education')->nullable();
            $table->text('employment_type')->nullable();
            $table->text('occupation')->nullable();
            $table->text('star')->nullable();
            $table->text('raasi')->nullable();
            $table->text('dosham')->nullable();
            $table->text('food_habits')->nullable();
            $table->text('smoking')->nullable();
            $table->text('drinking')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('preferences');
    }
}
