<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProfilesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: profiles
         */
        Schema::create('profiles', function ($table) {
            $table->increments('id');
            $table->string('ref', 255)->nullable();
            $table->string('name', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('phone', 255)->nullable();
            $table->string('password', 255)->nullable();
            $table->enum('profile_for', ['Myself','Son','Daughter','Brother','Sister','Relative','Friend'])->nullable();
            $table->string('candidate_name', 255)->nullable();
            $table->enum('gender', ['Male','Female'])->nullable();
            $table->enum('marital_status', ['Never Married','Widower','Divorced','Awaiting divorce'])->nullable();
            $table->date('dob')->nullable();
            $table->string('country', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->string('mothertongue', 255)->nullable();
            $table->string('religion', 255)->nullable();
            $table->string('caste', 255)->nullable();
            $table->string('subcaste', 255)->nullable();
            $table->string('height', 255)->nullable();
            $table->string('weight', 255)->nullable();
            $table->enum('body_type', ['Slim','Average','Athletic','Heavy'])->nullable();
            $table->enum('complexion', ['Very Fair','Fair','Wheatish','Wheatish Brown','Dark'])->nullable();
            $table->enum('physical_status', ['Normal','Physically Challenged'])->nullable();
            $table->string('education', 255)->nullable();
            $table->enum('employment_type', ['Private','Goverment','Business','Defence','Self Employed','Not working'])->nullable();
            $table->string('occupation', 255)->nullable();
            $table->float('income')->nullable();
            $table->string('star', 255)->nullable();
            $table->string('raasi', 255)->nullable();
            $table->enum('dosham', ['No','Yes','Don''t Know'])->nullable();
            $table->enum('food_habits', ['Vegetarian','Non Vegetarian','Eggetarian'])->nullable();
            $table->enum('smoking', ['No','Occasionally','Yes'])->nullable();
            $table->enum('drinking', ['No','Occasionally','Yes'])->nullable();
            $table->enum('family_status', ['Middle Class','Upper Middle Class','Rich','Affluent'])->nullable();
            $table->enum('family_type', ['Joint Family','Nuclear Family','Others'])->nullable();
            $table->enum('family_value', ['Orthodox','Traditional','Moderate','Liberal'])->nullable();
            $table->text('images')->nullable();
            $table->text('horoscope')->nullable();
            $table->string('description', 255)->nullable();
            $table->string('subscription', 255)->nullable();
            $table->date('expires_at')->nullable();
            $table->date('activated_at')->nullable();
            $table->enum('published', ['Yes','No'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('profiles');
    }
}
