<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('matrimony::preference.name') !!} <small> {!! trans('app.manage') !!} {!! trans('matrimony::preference.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('matrimony::preference.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='matrimony-preference-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('matrimony/preference')!!}">{!! trans('matrimony::preference.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('matrimony/preference?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('matrimony/preference?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('matrimony/preference/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('matrimony::admin.preference.partial.actions')
                    -->
                    @include('matrimony::admin.preference.partial.filter')
                    @include('matrimony::admin.preference.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="matrimony-preference-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="matrimony-preference-check-all"></th>
                        <th data-field="profile_id">{!! trans('matrimony::preference.label.profile_id')!!}</th>
                    <th data-field="marital_status">{!! trans('matrimony::preference.label.marital_status')!!}</th>
                    <th data-field="min_age">{!! trans('matrimony::preference.label.min_age')!!}</th>
                    <th data-field="max_age">{!! trans('matrimony::preference.label.max_age')!!}</th>
                    <th data-field="country">{!! trans('matrimony::preference.label.country')!!}</th>
                    <th data-field="state">{!! trans('matrimony::preference.label.state')!!}</th>
                    <th data-field="city">{!! trans('matrimony::preference.label.city')!!}</th>
                    <th data-field="mothertongue">{!! trans('matrimony::preference.label.mothertongue')!!}</th>
                    <th data-field="religion">{!! trans('matrimony::preference.label.religion')!!}</th>
                    <th data-field="caste">{!! trans('matrimony::preference.label.caste')!!}</th>
                    <th data-field="subcaste">{!! trans('matrimony::preference.label.subcaste')!!}</th>
                    <th data-field="min_height">{!! trans('matrimony::preference.label.min_height')!!}</th>
                    <th data-field="max_height">{!! trans('matrimony::preference.label.max_height')!!}</th>
                    <th data-field="physical_status">{!! trans('matrimony::preference.label.physical_status')!!}</th>
                    <th data-field="education">{!! trans('matrimony::preference.label.education')!!}</th>
                    <th data-field="employment_type">{!! trans('matrimony::preference.label.employment_type')!!}</th>
                    <th data-field="occupation">{!! trans('matrimony::preference.label.occupation')!!}</th>
                    <th data-field="star">{!! trans('matrimony::preference.label.star')!!}</th>
                    <th data-field="raasi">{!! trans('matrimony::preference.label.raasi')!!}</th>
                    <th data-field="dosham">{!! trans('matrimony::preference.label.dosham')!!}</th>
                    <th data-field="food_habits">{!! trans('matrimony::preference.label.food_habits')!!}</th>
                    <th data-field="smoking">{!! trans('matrimony::preference.label.smoking')!!}</th>
                    <th data-field="drinking">{!! trans('matrimony::preference.label.drinking')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#matrimony-preference-entry', '{!!guard_url('matrimony/preference/0')!!}');
    oTable = $('#matrimony-preference-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('matrimony/preference') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'profile_id'},
            {data :'marital_status'},
            {data :'min_age'},
            {data :'max_age'},
            {data :'country'},
            {data :'state'},
            {data :'city'},
            {data :'mothertongue'},
            {data :'religion'},
            {data :'caste'},
            {data :'subcaste'},
            {data :'min_height'},
            {data :'max_height'},
            {data :'physical_status'},
            {data :'education'},
            {data :'employment_type'},
            {data :'occupation'},
            {data :'star'},
            {data :'raasi'},
            {data :'dosham'},
            {data :'food_habits'},
            {data :'smoking'},
            {data :'drinking'},
        ],
        "pageLength": 25
    });

    $('#matrimony-preference-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#matrimony-preference-list').DataTable().row( this ).data();
        $('#matrimony-preference-entry').load('{!!guard_url('matrimony/preference')!!}' + '/' + d.id);
    });

    $('#matrimony-preference-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#matrimony-preference-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#matrimony-preference-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#matrimony-preference-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>