<?php

namespace Matrimony\Matrimony\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Matrimony\Matrimony\Interfaces\PreferenceRepositoryInterface;

class PreferencePublicController extends BaseController
{
    // use PreferenceWorkflow;

    /**
     * Constructor.
     *
     * @param type \Matrimony\Preference\Interfaces\PreferenceRepositoryInterface $preference
     *
     * @return type
     */
    public function __construct(PreferenceRepositoryInterface $preference)
    {
        $this->repository = $preference;
        parent::__construct();
    }

    /**
     * Show preference's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $preferences = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$matrimony::$preference.names'))
            ->view('$matrimony::public.preference.index')
            ->data(compact('$preferences'))
            ->output();
    }

    /**
     * Show preference's list based on a type.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function list($type = null)
    {
        $preferences = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$matrimony::$preference.names'))
            ->view('$matrimony::public.preference.index')
            ->data(compact('$preferences'))
            ->output();
    }

    /**
     * Show preference.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $preference = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->title($$preference->name . trans('$matrimony::$preference.name'))
            ->view('$matrimony::public.preference.show')
            ->data(compact('$preference'))
            ->output();
    }

}
