<?php

namespace Matrimony\Matrimony;

use User;

class Matrimony
{
    /**
     * $profile object.
     */
    protected $profile;
    /**
     * $preference object.
     */
    protected $preference;

    /**
     * Constructor.
     */
    public function __construct(\Matrimony\Matrimony\Interfaces\ProfileRepositoryInterface $profile,
        \Matrimony\Matrimony\Interfaces\PreferenceRepositoryInterface $preference)
    {
        $this->profile = $profile;
        $this->preference = $preference;
    }

    /**
     * Returns count of matrimony.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.profile.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->profile->pushCriteria(new \Litepie\Matrimony\Repositories\Criteria\ProfileUserCriteria());
        }

        $profile = $this->profile->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('matrimony::' . $view, compact('profile'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.preference.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->preference->pushCriteria(new \Litepie\Matrimony\Repositories\Criteria\PreferenceUserCriteria());
        }

        $preference = $this->preference->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('matrimony::' . $view, compact('preference'))->render();
    }
}
