<?php

namespace Matrimony\Matrimony\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProfileTransformer extends TransformerAbstract
{
    public function transform(\Matrimony\Matrimony\Models\Profile $profile)
    {
        return [
            'id'                => $profile->getRouteKey(),
            'key'               => [
                'public'    => $profile->getPublicKey(),
                'route'     => $profile->getRouteKey(),
            ], 
            'id'                => $profile->id,
            'ref'               => $profile->ref,
            'name'              => $profile->name,
            'email'             => $profile->email,
            'phone'             => $profile->phone,
            'password'          => $profile->password,
            'profile_for'       => $profile->profile_for,
            'candidate_name'    => $profile->candidate_name,
            'gender'            => $profile->gender,
            'marital_status'    => $profile->marital_status,
            'dob'               => $profile->dob,
            'country'           => $profile->country,
            'state'             => $profile->state,
            'city'              => $profile->city,
            'mothertongue'      => $profile->mothertongue,
            'religion'          => $profile->religion,
            'caste'             => $profile->caste,
            'subcaste'          => $profile->subcaste,
            'height'            => $profile->height,
            'weight'            => $profile->weight,
            'body_type'         => $profile->body_type,
            'complexion'        => $profile->complexion,
            'physical_status'   => $profile->physical_status,
            'education'         => $profile->education,
            'employment_type'   => $profile->employment_type,
            'occupation'        => $profile->occupation,
            'income'            => $profile->income,
            'star'              => $profile->star,
            'raasi'             => $profile->raasi,
            'dosham'            => $profile->dosham,
            'food_habits'       => $profile->food_habits,
            'smoking'           => $profile->smoking,
            'drinking'          => $profile->drinking,
            'family_status'     => $profile->family_status,
            'family_type'       => $profile->family_type,
            'family_value'      => $profile->family_value,
            'images'            => $profile->images,
            'horoscope'         => $profile->horoscope,
            'description'       => $profile->description,
            'subscription'      => $profile->subscription,
            'expires_at'        => $profile->expires_at,
            'activated_at'      => $profile->activated_at,
            'published'         => $profile->published,
            'created_at'        => $profile->created_at,
            'updated_at'        => $profile->updated_at,
            'deleted_at'        => $profile->deleted_at,
            'url'               => [
                'public'    => trans_url('matrimony/'.$profile->getPublicKey()),
                'user'      => guard_url('matrimony/profile/'.$profile->getRouteKey()),
            ], 
            'status'            => trans('app.'.$profile->status),
            'created_at'        => format_date($profile->created_at),
            'updated_at'        => format_date($profile->updated_at),
        ];
    }
}